library marketplaceapi.api;

import 'dart:async';
import 'dart:convert';
import 'package:http/browser_client.dart';
import 'package:http/http.dart';

part 'api_client.dart';
part 'api_helper.dart';
part 'api_exception.dart';
part 'auth/authentication.dart';
part 'auth/api_key_auth.dart';
part 'auth/oauth.dart';
part 'auth/http_basic_auth.dart';

part 'api/baskets_api.dart';
part 'api/categories_api.dart';
part 'api/customers_api.dart';
part 'api/orders_api.dart';
part 'api/products_api.dart';
part 'api/stores_api.dart';
part 'api/tags_api.dart';

part 'model/api_response.dart';
part 'model/basket.dart';
part 'model/category.dart';
part 'model/customer.dart';
part 'model/order.dart';
part 'model/product.dart';
part 'model/store.dart';
part 'model/tag.dart';


ApiClient defaultApiClient = new ApiClient();
