part of marketplaceapi.api;

class Basket {
  
  int id = null;
  

  List<Product> products = [];
  

  List<Tag> tags = [];
  

  String ownerId = null;
  
  Basket();

  @override
  String toString() {
    return 'Basket[id=$id, products=$products, tags=$tags, ownerId=$ownerId, ]';
  }

  Basket.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    id =
        json['id']
    ;
    products =
      Product.listFromJson(json['products'])
;
    tags =
      Tag.listFromJson(json['Tags'])
;
    ownerId =
        json['ownerId']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'products': products,
      'Tags': tags,
      'ownerId': ownerId
     };
  }

  static List<Basket> listFromJson(List<dynamic> json) {
    return json == null ? new List<Basket>() : json.map((value) => new Basket.fromJson(value)).toList();
  }

  static Map<String, Basket> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, Basket>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new Basket.fromJson(value));
    }
    return map;
  }
}

